# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > BottomAxisLayout
Search:
Filters Show Private Show Protected Show Deprecated

## Class BottomAxisLayout

Contains algorithms for rendering a bottom axis.

### Constructor

BottomAxisLayout `( )`

### Methods

#### drawTick

`protected void drawTick ( pt , tickStyles )`
Draws a tick

Parameters:
  `pt <Object>` hash containing x and y coordinates
  `tickStyles <Object>` hash of properties used to draw the tick

#### getLabelPoint

`protected getLabelPoint ( pt )`
Calculates the point for a label.

Parameters:
  `pt <Object>` hash containing x and y coordinates

Returns: ``
  Object

#### getLineStart

`protected void getLineStart ( )`
Calculates the coordinates for the first point on an axis.

#### offsetNodeForTick

`protected void offsetNodeForTick ( cb )`
Adjusts position for inner ticks.

Parameters:
  `cb <Node>` contentBox of the axis

#### positionLabel

`protected void positionLabel ( label , pt )`
Rotate and position labels.

Parameters:
  `label <HTMLElement>` to rotate position
  `pt <Object>` hash containing the x and y coordinates in which the label will be positioned against.

#### setCalculatedSize

`protected void setCalculatedSize ( )`
Assigns a height based on the size of the contents.

#### setSizeAndPosition

`protected void setSizeAndPosition ( )`
Calculates the size and positions the content elements.

#### setTickOffsets

`protected void setTickOffsets ( )`
Sets the length of the tick on either side of the axis line.

#### updateMaxLabelSize

`protected void updateMaxLabelSize ( label )`
Updates the value for the `maxLabelSize` for use in calculating total size.

Parameters:
  `label <HTMLElement>` to measure

### Events

#### axisRendererChange

`axisRendererChange ( event )`
Fires when the value for the configuration attribute 'axisRenderer' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

#### maxLabelSizeChange

`maxLabelSizeChange ( event )`
Fires when the value for the configuration attribute 'maxLabelSize' is changed. You can listen for the event using the on method if you wish to be notified before the attribute's value has changed, or using the after method if you wish to be notified after the attribute's value has changed.

Parameters:
  `event <Event.Facade>` An Event Facade object with the following attribute specific properties added:
  prevVal
    The value of the attribute, prior to it being set
  newVal
    The value the attribute is to be set to
  attrName
    The name of the attribute being set
  subAttrName
    If setting a property within the attribute's value, the name of the sub-attribute property being set

### Configuration Attributes

#### axisRenderer `- protected Axis`

Reference to the `Axis` using the strategy.

#### maxLabelSize `- protected Number`

Length in pixels of largest text bounding box. Used to calculate the height of the axis.

Copyright © 2011 Yahoo! Inc. All rights reserved.